classification
Title: Cygwin installer should create a link to libpythonX.Y.dll.a
Type: behavior Stage: resolved
Components: Distutils, Installation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: distutils extension library path bug on cygwin
View: 1289136
Assigned To: tarek Nosy List: tarek, tebeka
Priority: normal Keywords:

Created on 2006-04-06 07:46 by tebeka, last changed 2020-11-15 23:14 by iritkatriel. This issue is now closed.

Messages (2)
msg60898 - (view) Author: Miki Tebeka (tebeka) * Date: 2006-04-06 07:46
Installer should create a link to
/usr/lib/python25/config/libpython2.5.dll.a in /usr/lib

/usr/lib/python25/config is *not* in the linker path
and build extensions using distutils don't work. Create
a link in /usr/lib fixes the problem.

Another option is to change distutils to add
/usr/lib/python25/config to linker path on cygwin
platforms.
msg109773 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-09 16:58
I've no idea if this has already been covered by the intensive work that I understand has been going on with distutils.
History
Date User Action Args
2020-11-15 23:14:54iritkatrielsetstatus: open -> closed
superseder: distutils extension library path bug on cygwin
resolution: duplicate
stage: test needed -> resolved
2014-02-03 19:22:39BreamoreBoysetnosy: - BreamoreBoy
2010-07-09 16:58:24BreamoreBoysetnosy: + BreamoreBoy
title: Cygwin installer should create a link to libpython2.5.dll.a -> Cygwin installer should create a link to libpythonX.Y.dll.a
messages: + msg109773

versions: + Python 3.2
type: enhancement -> behavior
2009-03-21 02:03:11ajaksu2setnosy: + tarek
versions: + Python 3.1, Python 2.7, - Python 2.5
assignee: tarek
components: + Distutils
type: enhancement
stage: test needed
2006-04-06 07:46:58tebekacreate